Bug 357241 - imlib bug exposed by EXA
imlib bug exposed by EXA
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: imlib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 15:54 EDT by Jesse Barnes
Modified: 2008-01-02 11:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 487536 (view as bug list)
Environment:
Last Closed: 2008-01-02 11:21:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2007-10-29 15:54:34 EDT
imlib doesn't seem to be properly checking whether the MIT SHM extension 
supports shared pixmaps.  In the case of an X driver using EXA, shared pixmaps 
aren't available, which causes imlib to fail to load images properly in some 
cases.  More details and a patch available at http://bugs.debian.org/448360.
Comment 1 Paul Howarth 2007-11-28 18:32:07 EST
Patch applied in imlib 1:1.9.15-5.fc9.

Updates for F7 and F8 to follow.
Comment 2 Fedora Update System 2007-12-03 06:37:54 EST
imlib-1.9.15-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update imlib'
Comment 3 Paul Howarth 2008-01-02 11:21:20 EST
imlib-1.9.15-6.fcX has been pushed for Rawhide, Fedora 6, 7, and 8, and includes
the patch to address this issue.

Note You need to log in before you can comment on or make changes to this bug.